#include "Frequency.h"

word CalcFreqByMML(byte octave, char note, bool is_sharp)
{
	int pos = 0;
	switch (note) {
	case 'C':
	case 'c':
		break;
	case 'D':
	case 'd':
		pos = 2;
		break;
	case 'E':
	case 'e':
		pos = 4;
		break;
	case 'F':
	case 'f':
		pos = 5;
		break;
	case 'G':
	case 'g':
		pos = 7;
		break;
	case 'A':
	case 'a':
		pos = 9;
		break;
	case 'B':
	case 'b':
		pos = 11;
		break;
	default:
		break;
	}
	return noteFreq[octave * 12 + pos + (is_sharp ? 1 : 0)];
}

word CalcByteByMML(byte octave, char note, bool is_sharp)
{
	int pos = 0;
	switch (note) {
	case 'C':
	case 'c':
		break;
	case 'D':
	case 'd':
		pos = 2;
		break;
	case 'E':
	case 'e':
		pos = 4;
		break;
	case 'F':
	case 'f':
		pos = 5;
		break;
	case 'G':
	case 'g':
		pos = 7;
		break;
	case 'A':
	case 'a':
		pos = 9;
		break;
	case 'B':
	case 'b':
		pos = 11;
		break;
	default:
		break;
	}
	return noteNumber[octave * 12 + pos + (is_sharp ? 1 : 0)];
}
