#ifndef PSG810_H
#define PSG810_H

#include "LPCSound.h"
#include "PSG810_defs.h"
#include "Frequency.h"

class PSG810 :
	public LPCSound
{
public:
	PSG810();
	void Reset();

	word SetFrequency(PSG::Channel ch, word freq) { return SetFreqBits(ch, (BASE_FREQ / freq)); };
	word SetFreqBits(PSG::Channel ch, word freqbits);
	byte SetVolume(PSG::Channel ch, byte volume);
	byte SetMixer(byte mixerbits);

private:
	word freqbits[PSG::PSG_COUNT];
	byte volumes[PSG::PSG_COUNT];
	byte mixer;
};

#endif PSG810_H
