#ifndef PSG810_DEFS_H
#define PSG810_DEFS_H

namespace PSG {
	// PSG I2C Address
	const byte ADDRESS_PSG = 0x50;

	// PSG Registers
	enum PSGRegister
	{
		REG_INTERVALS = 0x00,
		REG_MIXER = 0x07,
		REG_VOLUMES = 0x08,
	};

	enum Channel
	{
		PSG_A = 0,
		PSG_B = 1,
		PSG_C = 2,
	};
	const byte PSG_COUNT = 3;
}

#endif PSG810_DEFS_H
