#ifndef SCC810_H
#define SCC810_H

#include "LPCSound.h"
#include "SCC810_defs.h"
#include "Frequency.h"

class SCC810
	: public LPCSound
{
public:
	SCC810();
	void Reset();

	word SetFrequency(SCC::Channel ch, word freq) { return SetFreqBits(ch, (BASE_FREQ / freq)); };
	word SetFreqBits(SCC::Channel ch, word freqbits);
	byte SetVolume(SCC::Channel ch, byte volume);
	byte SetMixer(byte mixerbits);
	int SetWaveTable(SCC::Channel ch, char* wt, int wt_size);

private:
	word freqbits[SCC::SCC_COUNT];
	byte volumes[SCC::SCC_COUNT];
	byte mixer;
};

#endif SCC810_H
