#include <Wire.h>
#include <PSG810.h>
#include <SCC810.h>

PSG810* psg;

void setup() {
  psg = new PSG810();
  psg->SetMixer(0x110);
  psg->SetVolume(PSG::PSG_A, 0x0f);
}

void loop() {
  sound(5, 'C');
  sound(5, 'D');
  sound(5, 'E');
  sound(5, 'F');
  sound(5, 'G');
  sound(5, 'A');
  sound(5, 'B');
  sound(6, 'C');
}

void sound(byte octave, char note){
  psg->SetFrequency(PSG::PSG_A, CalcFreqByMML(octave, note));
  delay(200);
}
