#ifndef LPCSOUND_H
#define LPCSOUND_H

#include "Arduino.h"
#include <Wire.h>

class LPCSound
{
public:
	LPCSound();
	virtual void Reset() = 0;

protected:
	virtual word SetFreqBits(byte address, byte reg, byte index, word freqbits);
	virtual byte SetVolume(byte address, byte reg, byte index, byte volume);
	virtual byte SetMixer(byte address, byte reg, byte mixerbits);

	byte set_register(byte address, byte reg, byte val);
//	int set_register(byte address, byte reg, byte* vals, int val_size);
};

#endif LPCSOUND_H
