#ifndef SCC810_DEFS_H
#define SCC810_DEFS_H

namespace SCC {
	// SCC I2C Address
	const byte ADDRESS_SCC = 0x51;

	// SCC Registers
	enum SCCRegister
	{
		REG_WAVETABLES = 0x00,
		REG_INTERVALS = 0xA0,
		REG_VOLUMES = 0xAA,
		REG_MIXER = 0xAF,
	};

	enum Channel
	{
		SCC_A = 0,
		SCC_B = 1,
		SCC_C = 2,
		SCC_D = 3,
		SCC_E = 4,
	};
	const byte SCC_COUNT = 5;

	const byte WT_SIZE = 0x20;
}

#endif SCC810_DEFS_H
